Attachments

Update attachment

PATCH
/attachments/{id}.json

Update an attachment

Authorization

ApiKeyAuth
headerX-Redmine-API-Key<token>

Path Parameters

id*integer
Formatint64

Request Body

application/json
  1. body
attachment*

Attachment update payload. All properties are optional.

Response Body

Success without content. Redmine < 4.1 responds with 200 instead of 204.

curl -X PATCH 'https://redmine.example.com/attachments/0.json' \  -H 'Content-Type: application/json' \  -d '{  "attachment": {}}'
Empty